Gecode::Gist::StopChoice Class Reference

Choice for StopBrancher More...

`#include <stopbrancher.hh>`

## Public Member Functions

| StopChoice (const Brancher &b)
| Initialize choice for brancher b.
virtual void | archive (Archive &e) const
| Archive into e.
Public Member Functions inherited from Gecode::Choice
unsigned int | alternatives (void) const
| Return number of alternatives.
virtual | ~Choice (void)
| Destructor.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Protected Member Functions inherited from Gecode::Choice
| Choice (const Brancher &b, const unsigned int a)
| Initialize for particular brancher b and alternatives a.

## Detailed Description

Choice for StopBrancher

Definition at line 40 of file stopbrancher.hh.

## Constructor & Destructor Documentation

## StopChoice()

Gecode::Gist::StopChoice::StopChoice | ( | const Brancher & | b | ) |

Initialize choice for brancher b.

Definition at line 38 of file stopbrancher.cpp.

## Member Function Documentation

## archive()

void Gecode::Gist::StopChoice::archive | ( | Archive & | e | ) | const

virtual

Archive into e.

Reimplemented from Gecode::Choice.

Definition at line 40 of file stopbrancher.cpp.

The documentation for this class was generated from the following files:

- gecode/gist/stopbrancher.hh
- gecode/gist/stopbrancher.cpp